var Intervals = new Array(1800000, 3600000, 10800000, 21600000, 43200000);
						//30 min     1 h       3 h       6 h       12 h
var pref_CityCode;
var pref_CityList;
var pref_CityListIndex;
var pref_IntervalIndex;
var pref_BackgroundIndex;

function getCity ()
{
	if (document.getElementById('cbxResults').style.display == 'none')
	{
		document.getElementById('imgSubmit').src = 'images/ctrls/request.png';
		XMLRequest = new XMLHttpRequest();
		XMLRequest.open('GET', 'http://samsu.accu-weather.com/widget/samsu/city-find.asp?location='
		+ document.getElementById('edtCity').value);
		XMLRequest.onreadystatechange = function ()
		{
			if (XMLRequest.readyState == 4)
			{
				Parser = new DOMParser();
				XMLDoc = Parser.parseFromString(XMLRequest.responseText, 'text/xml');
				x = XMLDoc.getElementsByTagName('location');
				if (x.length > 0)
				{
					Temp = null;
					for (i = 0; i < x.length; i++)
					{
						Temp = Temp + '<option value="' + x[i].getAttribute('location') + '">' + x[i].getAttribute('city')
						+ ', ' + x[i].getAttribute('state') + '</option>';
					}
					document.getElementById('cbxResults').innerHTML = Temp;
					document.getElementById('cbxResults').style.display = 'block';
					document.getElementById('imgSubmit').src = 'images/ctrls/clear.png';
				}
				else
				{
					alert('City not found');
					document.getElementById('imgSubmit').src = 'images/ctrls/search.png';
				}
			}
		};
		XMLRequest.send(null);
	}
	else
	{
		document.getElementById('edtCity').value = null;
		document.getElementById('cbxResults').style.display = 'none';
		document.getElementById('cbxResults').innerHTML = null;
		document.getElementById('imgSubmit').src = 'images/ctrls/search.png';
	}
}

function displaySettings ()
{
	if (pref_CityListIndex != null)
	{
		document.getElementById('cbxResults').innerHTML = pref_CityList;
		document.getElementById('cbxResults').selectedIndex = pref_CityListIndex;
		document.getElementById('cbxResults').style.display = 'block';
		document.getElementById('imgSubmit').src = 'images/ctrls/clear.png';
	}
	else
	{
		document.getElementById('edtCity').value = null;
		document.getElementById('cbxResults').style.display = 'none';
		document.getElementById('cbxResults').innerHTML = null;
		document.getElementById('imgSubmit').src = 'images/ctrls/search.png';
	}
	document.getElementById('cbxInterval').selectedIndex = pref_IntervalIndex;
	document.getElementById('cbxBackground').selectedIndex = pref_BackgroundIndex;
}

function changeBackground (Index)
{
	if (Index == null)
		Index = 0;
	document.body.style.backgroundImage =
	'url("images/background/bg' + Index + '.png")';
}