// numbers represent image index in '../images/weather' folder relating to
// official accuweather image index in comments below

var Images = new Array(1, 1, 2, 2, 3, 3, 4, 4, 0, 0, 4, 5, 6, 6, 7, 8, 8, 9,
					// 1  2  3  4  5  6  7  8  9  10 11 12 13 14 15 16 17 18
					   10,11,11,12,13,14,15, 9, 0, 0,16, 1,14, 4,30,30,31,31,
					// 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36
					   32,32,33,33,34,34,35,36);
					// 37 38 39 40 41 42 43 44
var Timer, reqTimeout;

function Refresh ()
{
	if (pref_CityCode != null)
	{
		Show('refresh');
		clearTimeout(Timer);
		try
		{
			XMLRequest = new XMLHttpRequest();
			XMLRequest.open('GET', 'http://samsu.accu-weather.com/widget/samsu/weather-data.asp?location='
			+ pref_CityCode + '&metric=1');
			XMLRequest.onreadystatechange = function ()
			{
				if (XMLRequest.readyState == 4)
				{
					Parser = new DOMParser();
					XMLDoc = Parser.parseFromString(XMLRequest.responseText, 'text/xml');
					displayWeather(XMLDoc);
					Show('main');
					clearTimeout(reqTimeout);
				}
			};
			XMLRequest.send(null);
			reqTimeout = setTimeout('Show("main"); alert("Timeout")', 30000);
			if (pref_IntervalIndex > 0)
				Timer = setTimeout('Refresh()', Intervals[pref_IntervalIndex - 1]);
		}
		catch(e)
		{
			alert('Network Error');
			Show('main');
		}
	}
	else
		alert('No City Selected');
}

function displayWeather (XMLDoc)
{
	x1 = XMLDoc.getElementsByTagName('city')[0].firstChild.nodeValue;
	x2 = XMLDoc.getElementsByTagName('windspeed')[0].firstChild.nodeValue;
	x3 = XMLDoc.getElementsByTagName('humidity')[0].firstChild.nodeValue;
	document.getElementById('lblTodayInfo').innerHTML = '<b>' + x1.toUpperCase() + '</b><br>Wind: ' + x2
	+ ' Km/h<br>Humidity: ' + x3; 
	
	x = parseInt(XMLDoc.getElementsByTagName('currentconditions')[0].childNodes[15].firstChild.nodeValue);
	document.getElementById('imgTodayWeather').innerHTML
	= '<img src="images/weather/' + Images[x - 1] + '.png" onclick="Refresh()"></img>';
	
	x = XMLDoc.getElementsByTagName('currentconditions')[0].childNodes[7].childNodes[0].nodeValue;
	document.getElementById('lblTodayTemp').innerHTML = '<b>' + x + '&deg;</b>';
	
	for (i = 0; i <= 3; i++)
	{
		x1 = Days[0][XMLDoc.getElementsByTagName('day')[i].childNodes[4].firstChild.nodeValue];
		daytime = XMLDoc.getElementsByTagName('daytime')[i];
		x2 = daytime.childNodes[5].firstChild.nodeValue;
		x3 = daytime.childNodes[7].firstChild.nodeValue;
		x4 = daytime.childNodes[9].firstChild.nodeValue;
		document.getElementById('Forecast' + (i + 1)).innerHTML = '<span class="dayofweek">' + x1 + '</span><br /><img src="images/weather/'
		+ Images[x2 - 1] + '.png" /><br /><span class="cold">' + x4 + '</span>-<span class="hot">'
		+ x3 + '</span>';
	}
}